<?php
/*
Simple:Press Forum
Ahah - Admins NewPosts Dropdown
$LastChangedDate: 2009-11-07 17:16:45 -0700 (Sat, 07 Nov 2009) $
$Rev: 2934 $
*/

if (preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF']))
{
	die('Access Denied');
}

sf_forum_ahah_support();

require_once (dirname(__FILE__)."/../sf-new-admin-view.php");

# --------------------------------------------

global $current_user, $sfglobals;

sf_initialise_globals();

if ($current_user->forumadmin || $current_user->moderator)
{
	# must be loading up the new post list
	$newposts = sf_get_admins_queued_posts();
	$out = sf_render_new_post_list_admin($newposts, true);
	echo $out;
} else {
	echo (__('Access Denied', "sforum"));
}

die();

?>